VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Princed Resource Manager"
   ClientHeight    =   3150
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6525
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3150
   ScaleWidth      =   6525
   StartUpPosition =   2  'CenterScreen
   Begin VB.Timer timClearResult 
      Enabled         =   0   'False
      Interval        =   5000
      Left            =   1380
      Top             =   2100
   End
   Begin VB.Frame Frame1 
      Caption         =   "File/Directories"
      Height          =   1635
      Left            =   180
      TabIndex        =   5
      Top             =   180
      Width           =   6135
      Begin VB.CommandButton cmdFile 
         Caption         =   "..."
         Height          =   315
         Index           =   1
         Left            =   5700
         TabIndex        =   13
         Top             =   780
         Width           =   315
      End
      Begin VB.CommandButton cmdFile 
         Caption         =   "..."
         Height          =   315
         Index           =   0
         Left            =   5700
         TabIndex        =   12
         Top             =   420
         Width           =   315
      End
      Begin VB.TextBox txtDat 
         Height          =   285
         Left            =   1740
         OLEDropMode     =   1  'Manual
         TabIndex        =   8
         Top             =   420
         Width           =   3945
      End
      Begin VB.TextBox txtRecDir 
         Height          =   285
         Left            =   1740
         TabIndex        =   7
         Top             =   780
         Width           =   3945
      End
      Begin VB.TextBox txtRecFile 
         Height          =   285
         Left            =   1740
         TabIndex        =   6
         Top             =   1140
         Width           =   3945
      End
      Begin VB.Label d 
         Caption         =   "DAT File Location"
         Height          =   255
         Left            =   240
         TabIndex        =   11
         Top             =   420
         Width           =   1515
      End
      Begin VB.Label Label2 
         Caption         =   "Output Directory"
         Height          =   255
         Left            =   240
         TabIndex        =   10
         Top             =   780
         Width           =   1215
      End
      Begin VB.Label Label3 
         Caption         =   "Res Output File"
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Top             =   1140
         Width           =   1215
      End
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   375
      Left            =   5160
      TabIndex        =   3
      Top             =   2340
      Width           =   1155
   End
   Begin VB.CommandButton cmdClassify 
      Caption         =   "Classify"
      Height          =   375
      Left            =   5160
      TabIndex        =   2
      Top             =   1920
      Width           =   1155
   End
   Begin VB.CommandButton cmdExport 
      Caption         =   "Export"
      Height          =   375
      Left            =   180
      TabIndex        =   1
      Top             =   2340
      Width           =   1155
   End
   Begin VB.CommandButton cmdImport 
      Caption         =   "Import"
      Height          =   375
      Left            =   180
      TabIndex        =   0
      Top             =   1920
      Width           =   1155
   End
   Begin VB.Label lblResult 
      Alignment       =   2  'Center
      Caption         =   "Result"
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   0
      TabIndex        =   4
      Top             =   2880
      Width           =   6525
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdFile_Click(Index As Integer)
    Dim sFile As String
    Dim frm As frmDirChoose
    
    Select Case Index
        Case 0  '// DAT file
            sFile = OpenDialog(Me, "PoP DAT|*.dat", "Pick the DAT file", App.Path, OFN_FILEMUSTEXIST Or OFN_PATHMUSTEXIST Or OFN_EXPLORER)
            
            If FileExists(sFile) = True Then
                txtDat.Text = sFile
            Else
                txtDat.Text = ""
            End If
        Case 1  '// Output Dir
            'sFile = OpenDialog(Me, "", "Pick the Directory to save to", App.Path, OFN_PATHMUSTEXIST)
            Set frm = New frmDirChoose
            frm.Show 1
            txtRecDir.Text = frm.Dir1.Path
            Set frm = Nothing
    End Select
End Sub

Private Sub cmdImport_Click()
    If CheckValidFiles() = True Then
        On Error GoTo err1
        prImportDat txtDat.Text, txtRecDir.Text, txtRecFile.Text
    End If
    
    Exit Sub
err1:
    lblResult.Caption = "Error!"
    timClearResult.Enabled = True
End Sub

Private Sub cmdExport_Click()
    If CheckValidFiles() = True Then
        On Error GoTo err1
        prExportDat txtDat.Text, txtRecDir.Text, txtRecFile.Text
    End If
    
    Exit Sub
err1:
    lblResult.Caption = "Error!"
    timClearResult.Enabled = True
End Sub

Private Sub cmdClassify_Click()
    If CheckValidFiles() = True Then
        On Error GoTo err1
        ProcessResult prVerifyDatType(txtDat.Text)
    End If
    
    Exit Sub
err1:
    lblResult.Caption = "Error!"
    timClearResult.Enabled = True
End Sub

Private Sub cmdClear_Click()
    If CheckValidFiles() = True Then
        On Error GoTo err1
        prClearRes txtRecFile.Text
    End If
    
    Exit Sub
err1:
    lblResult.Caption = "Error!"
    timClearResult.Enabled = True
End Sub



Public Function CheckValidFiles() As Boolean
    If FileExists(txtDat.Text) = True Then
        If DirectoryExists(txtRecDir.Text) = True Then
            CheckValidFiles = True
        Else
            MsgBox "Output Directory is invalid", vbCritical, "Error!"
            CheckValidFiles = False
        End If
    Else
        MsgBox "DAT File is invalid", vbCritical, "Error!"
        CheckValidFiles = False
    End If
End Function


Public Sub ProcessResult(sText As String)
    Select Case sText
        Case "-2"
            lblResult.Caption = "PRM Internal Memory Error (RAM is to low)"
        Case "-1"
            lblResult.Caption = "File Not Found"
        Case "0"
            lblResult.Caption = "Invalid POP1 DAT File"
        Case "1"
            lblResult.Caption = "Contains Level Data"
        Case "2"
            lblResult.Caption = "Image Data (Image as first entry, uncommon)"
        Case "3"
            lblResult.Caption = "Sound Data (Wave/Digital)"
        Case "4"
            lblResult.Caption = "Sound Data (Midi)"
        Case "5"
            lblResult.Caption = "Valid Data (Undefined Content)"
        Case "6"
            lblResult.Caption = "Image Data (Palatte as first entry, common)"
    End Select
    
    timClearResult.Enabled = True
End Sub

Private Sub Form_Load()
    lblResult.Caption = ""
    txtRecDir.Text = App.Path
End Sub

Private Sub timClearResult_Timer()
    lblResult.Caption = ""
    timClearResult.Enabled = False
End Sub

Private Sub txtDat_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    On Error GoTo err1
    txtDat.Text = Data.Files(1)
    
    If Not FileExists(txtDat.Text) = True Then
        txtDat.Text = ""
    End If
    
    Exit Sub
err1:
    txtDat.Text = ""
End Sub
